package com.cm.common.plugin.pojo.dtos.database.table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: TableDTO
 * @Description: //TODO
 * @Author: WangGeng
 * @Date: 2019/11/15 10:25
 * @Version: 1.0
 **/
@ApiModel
public class TableDTO {

    @ApiModelProperty(name = "tableSchema", value = "数据库")
    private String tableSchema;
    @ApiModelProperty(name = "tableName", value = "表名")
    private String tableName;

    public String getTableSchema() {
        return tableSchema;
    }

    public void setTableSchema(String tableSchema) {
        this.tableSchema = tableSchema;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"tableSchema\":\"")
                .append(tableSchema).append('\"');
        sb.append(",\"tableName\":\"")
                .append(tableName).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
